| Home | Libraries | People | FAQ | More

## Struct template FormatterConcept

boost::algorithm::FormatterConcept — Formatter concept.

## Synopsis

    template<typename FormatterT, typename FinderT, typename IteratorT>
    struct FormatterConcept {

      // public member functions
      void constraints() ;
    };

## Description

Defines the Formatter concept. Formatter is a functor, which takes a result from a finder operation and transforms it in a specific way.

Result must be a container supported by container_traits, or a reference to it.

### `FormatterConcept` public member functions

1.     void constraints() ;